Skip to main content
Weavr Multi Product API
Linked Accounts

Add a linked account

POST/linked_accounts

A Linked Account is an entity in the Weavr system that represents an external bank account or PSP account which the Identity has verified that they own and control. This feature enables users to perform transactions, such as outgoing and incoming wire transfers, between their Linked Accounts and their Managed Accounts in a way that can be recorded as a self-to-self transfer.

Request

Header parameters

Request body

*
application/json
{}
CreateLinkedAccountRequestCreateLinkedAccountRequest · object · 8 fields

Responses

200OK

Success

Headers
Body
application/json
{}
LinkedAccountLinkedAccount · object · 12 fields
Response example
{  "id": "string",  "profileId": "string",  "tag": "string",  "friendlyName": "string",  "name": "string",  "type": "BUSINESS",  "currency": "string",  "country": "string",  "accountReference": {    "accountNumber": "string",    "sortCode": "string",    "secondaryReference": "string"  },  "state": "PENDING_VERIFICATION",  "creationTimestamp": 0,  "owner": {    "type": "string",    "id": "string"  }}